[arch-commits] Commit in ccrtp/repos (6 files)

Eric Bélanger eric at nymeria.archlinux.org
Sun Apr 28 20:34:44 UTC 2013


    Date: Sunday, April 28, 2013 @ 22:34:44
  Author: eric
Revision: 183862

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  ccrtp/repos/staging-i686/
  ccrtp/repos/staging-i686/PKGBUILD
    (from rev 183861, ccrtp/trunk/PKGBUILD)
  ccrtp/repos/staging-i686/ccrtp.install
    (from rev 183861, ccrtp/trunk/ccrtp.install)
  ccrtp/repos/staging-x86_64/
  ccrtp/repos/staging-x86_64/PKGBUILD
    (from rev 183861, ccrtp/trunk/PKGBUILD)
  ccrtp/repos/staging-x86_64/ccrtp.install
    (from rev 183861, ccrtp/trunk/ccrtp.install)

------------------------------+
 staging-i686/PKGBUILD        |   33 +++++++++++++++++++++++++++++++++
 staging-i686/ccrtp.install   |   22 ++++++++++++++++++++++
 staging-x86_64/PKGBUILD      |   33 +++++++++++++++++++++++++++++++++
 staging-x86_64/ccrtp.install |   22 ++++++++++++++++++++++
 4 files changed, 110 insertions(+)

Copied: ccrtp/repos/staging-i686/PKGBUILD (from rev 183861, ccrtp/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-04-28 20:34:44 UTC (rev 183862)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer:
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=ccrtp
+pkgver=2.0.3
+pkgrel=3
+pkgdesc="An implementation of RTP, the real-time transport protocol from the IETF"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/ccrtp/"
+license=('GPL' 'custom')
+depends=('ucommon' 'libgcrypt')
+options=('!libtool')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})
+md5sums=('0d57da1b8e212fb634b8951067fbc1e0'
+         '127fa3b293f7a7c3be1d2891c4544453')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 COPYING.addendum "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}

Copied: ccrtp/repos/staging-i686/ccrtp.install (from rev 183861, ccrtp/trunk/ccrtp.install)
===================================================================
--- staging-i686/ccrtp.install	                        (rev 0)
+++ staging-i686/ccrtp.install	2013-04-28 20:34:44 UTC (rev 183862)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(ccrtp.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: ccrtp/repos/staging-x86_64/PKGBUILD (from rev 183861, ccrtp/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-04-28 20:34:44 UTC (rev 183862)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer:
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=ccrtp
+pkgver=2.0.3
+pkgrel=3
+pkgdesc="An implementation of RTP, the real-time transport protocol from the IETF"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/ccrtp/"
+license=('GPL' 'custom')
+depends=('ucommon' 'libgcrypt')
+options=('!libtool')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"{,.sig})
+md5sums=('0d57da1b8e212fb634b8951067fbc1e0'
+         '127fa3b293f7a7c3be1d2891c4544453')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 COPYING.addendum "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}

Copied: ccrtp/repos/staging-x86_64/ccrtp.install (from rev 183861, ccrtp/trunk/ccrtp.install)
===================================================================
--- staging-x86_64/ccrtp.install	                        (rev 0)
+++ staging-x86_64/ccrtp.install	2013-04-28 20:34:44 UTC (rev 183862)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(ccrtp.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list